<!DOCTYPE html>
<html lang="en">
<head>
  <style>
    .centered {
      margin: auto;
      width: 50%;
    }
    ul{
      list-style-type: none;
    }
    li {
      float: left;
      margin-left: 10px;
    }
  </style>
  <meta charset="UTF-8">
  <title>Hangman!</title>
</head>
<body>
<ul class="centered" style="font-size: 75px;">
  {% for char in revealed %}
    <li>{{ char }}</li>
  {% endfor %}
</ul>
<div style="clear: both;"></div>
<ul class="centered" style="margin-top: 20px; font-size: 20px; width: 70%;">
  <li>Incorrect Guesses ({{ remaining }} chances remain):</li>
  {% for char in missed %}
    <li>{{ char }}</li>
  {% endfor %}
</ul>
<div style="clear: both;"></div>
<form class="centered" method="post" style="margin-top: 20px;">
  <input type="text" name="guess" maxlength="1">
  <input type="text" hidden name="salt" value="{{ salt }}">
  <input type="text" hidden name="hash" value="{{ hash }}">
  <input type="text" hidden name="state" value='{{ state|tojson }}'>
  <input type="submit" value="Guess">
</form>

</body>
</html>